Skip to main content

updateWebVulnerability

Update a Web Vulnerability

updateWebVulnerability(
input: UpdateWebVulnerabilityInput!
): UpdateWebVulnerabilityPayload

Arguments​

updateWebVulnerability.input ● UpdateWebVulnerabilityInput! non-null input​

Parameters for UpdateWebVulnerability

Type​

UpdateWebVulnerabilityPayload object​

Autogenerated return type of UpdateWebVulnerability.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the assets query first and use data.assets.collection[].id as assetId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateUpdateWebVulnerability($input: UpdateWebVulnerabilityInput!) {\n updateWebVulnerability(input: $input) { clientMutationId issue { id title status } }\n}","variables":{"input":{"assetId":1,"title":"example","description":"example","solution":"example","severity":"NOTIFICATION","summary":"example","impactDescription":"example","stepsToReproduce":"example","request":"example","response":"example","method":"GET","scheme":"HTTP","url":"example","port":1,"id":"example-id"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute